## $Id: utils.py 11841 2014-10-14 10:56:18Z henrik $
##
## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""General helper functions and utilities for the application section.
"""

from waeup.kofa.applicants.utils import ApplicantsUtils
from kofacustom.pcn.interfaces import MessageFactory as _

class ApplicantsUtils(ApplicantsUtils):
    """A collection of parameters and methods subject to customization.
    """

    APP_TYPES_DICT = {
      'pal': ['Pharmacist Annual License', 'XXX'],
      'pl': ['Premises License', 'XXX'],
      'ptap': ['Pharmacy Technician Annual Permit', 'XXX'],
      'ppmvl': ['Patent and Proprietary Medicine Vendor License', 'XXX'],
      'pmrpp': ['Pharmaceutical and Medical Representative Permit', 'XXX'],
      'sop': ['Scientific Office Permit', 'XXX'],
      }